# parselogevent.ps1
# Mark Harris 2012
# Checks for events less than 7 days that occur today and emails

del C:\logs\lastevent.txt

$Now = Get-Date
$SubtractDays= New-Object System.TimeSpan 7,0,0,0,0
$Then = $Now.Subtract($SubtractDays)

$lastevent_log=get-eventlog application -after $Then -before $Now | where {$_.Message -match "3001" -and $_.Source -match "ASP.NET 2.0.50727.0"} | format-table -wrap -autosize -property TimeWritten, Message > C:\Support\lastevent.txt

$lastevent_file=[io.file]::ReadAllText('C:\logs\lastevent.txt')

$files = "C:\logs\lastevent.txt"

$exist = test-path $files

$today = (get-date).ToShortDateString()

$file = get-childitem $files

if($file.length -gt 0){
	$emailFrom = "myemail@myhost.com"
	$emailTo = "theman@theman.com"
	$subject = "Timeout Error  $env:COMPUTERNAME"
	$body = $lastevent_file
	$smtpServer = "my.smtp.com"
	$smtp = new-object Net.Mail.SmtpClient($smtpServer)
	$smtp.Send($emailFrom, $emailTo, $subject, $body)
	$lastevent_log.TimeWritten|Set-Content C:\logs\lastevent.txt
}